ADSentenceStream.Sentence (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.ad, class: ADSentenceStream, record: Sentence

Package opennlp.tools.formats.ad

# Record Class ADSentenceStream.Sentence

java.lang.Object
java.lang.Record
opennlp.tools.formats.ad.ADSentenceStream.Sentence

Enclosing class:
  `ADSentenceStream`

public static record ADSentenceStream.Sentence(String text, ADSentenceStream.SentenceParser.Node root, String metadata) extends Record

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `META_LABEL_FINAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sentence(String text, ADSentenceStream.SentenceParser.Node root, String metadata)`
  Creates an instance of a `Sentence` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `metadata()`
  Returns the value of the `metadata` record component.
  `ADSentenceStream.SentenceParser.Node`
  `root()`
  Returns the value of the `root` record component.
  `String`
  `text()`
  Returns the value of the `text` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### META_LABEL_FINAL

    public static final String META_LABEL_FINAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Sentence

    public Sentence(String text, ADSentenceStream.SentenceParser.Node root, String metadata)
    Creates an instance of a `Sentence` record class.
    Parameters:
      `text` - the value for the `text` record component
      `root` - the value for the `root` record component
      `metadata` - the value for the `metadata` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### text

    public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component

  - ### root

    public ADSentenceStream.SentenceParser.Node root()
    Returns the value of the `root` record component.
    Returns:
      the value of the `root` record component

  - ### metadata

    public String metadata()
    Returns the value of the `metadata` record component.
    Returns:
      the value of the `metadata` record component